Subject: Re: bug#66041: 30.0.50; Should 'flymake-note-echo' inherit from 'compilation-info'?

From: Jim Porter <[email-masked]>
Date: Sun, 17 Sep 2023 14:54:36 -0700

On 9/17/2023 2:22 PM, João Távora wrote:
> On Sun, Sep 17, 2023 at 5:42 AM Jim Porter <[email-masked]> wrote:
> 
>> Personally, I think it'd be better for the "echo" faces for Flymake
>> notes to just inherit from 'compilation-info'. They have almost
>> identical uses as far as I can tell, and then things would look more
> 
> To better understand what you mean, can you post two screenshots -- with
> and without your proposed change -- of what the default theme would look
> like in a simple file with some Flymake overlays?

Sure, here are screenshots of Flymake under 29, 30, and 30 plus my 
patch. In particular, pay close attention to the mode-line colors. It 
took me a few seconds of close inspection to see the green underline for 
the note counter in the mode-line.

> Also, a patch showing exactly the change you propose would be useful.  And
> keep in mind one can define a face to inherit from two faces (AFAIK).

And here's also a patch. (Not for the renaming of note->info, but that's 
straightforward enough to imagine, I hope.)

From 26c26763bed97f97fb795012c06cb91dfd28de5c Mon Sep 17 00:00:00 2001
From: Jim Porter <[email-masked]>
Date: Sun, 17 Sep 2023 14:50:22 -0700
Subject: [PATCH] Use 'compilation-info' as the basis for Flymake note faces

* lisp/progmodes/flymake.el (flymake-note-echo)
(flymake-note-echo-at-eol): Inherit from 'compilation-info'.
---
 lisp/progmodes/flymake.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/progmodes/flymake.el b/lisp/progmodes/flymake.el
index b044a661911..66aff1d1fe9 100644
--- a/lisp/progmodes/flymake.el
+++ b/lisp/progmodes/flymake.el
@@ -442,7 +442,7 @@ flymake-warning-echo
   :package-version '(Flymake . "1.3.4"))
 
 (defface flymake-note-echo
-  '((t :inherit flymake-note))
+  '((t :inherit compilation-info))
   "Face used for showing summarized descriptions of notes."
   :package-version '(Flymake . "1.3.4"))
 
@@ -463,7 +463,7 @@ flymake-warning-echo-at-eol
   :package-version '(Flymake . "1.3.5"))
 
 (defface flymake-note-echo-at-eol
-  '((t :inherit (flymake-end-of-line-diagnostics-face flymake-note)))
+  '((t :inherit (flymake-end-of-line-diagnostics-face compilation-info)))
   "Face like `flymake-note-echo', but for end-of-line overlays."
   :package-version '(Flymake . "1.3.5"))
 
-- 
2.25.1